Undefine a constant

- « uopz_set_static

- uopz_unset_hook »

- PHP Manual
- Uopz Functions
- Undefine a constant

# uopz_undefine

(PECL uopz 1, PECL uopz 2, PECL uopz 5, PECL uopz 6, PECL uopz 7)

uopz_undefine — Undefine a constant

### Description

uopz_undefine(string `$constant`): bool
uopz_undefine(string `$class`, string `$constant`): bool

Removes the constant at runtime

### Parameters

`class`

  The name of the class containing `constant`

`constant`

  The name of an existing constant

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 uopz_undefine() example

    <?php
    define("MY", true);

    uopz_undefine("MY");

    var_dump(defined("MY"));
    ?>

The above example will output:

    bool(false)